
Foreman - Bug #1644

Changing VNC keymap on a Libvirt VM (via virt-manager or virsh) causes web-based console to

choke

05/19/2012 05:02 PM - Andreas Ntaflos

Status: Closed   

Priority: Normal   

Assignee:    

Category: Compute resources - libvirt   

Target version: 1.16.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/4784

  

Description

The web-based console of a host provisioned as a (Libvirt) VM cannot be used when the VNC keymap of the VM has been changed

from "auto" to something else (by means of virt-manager or virsh). Clicking on "Console" fails with this error message:

Failed to set console: Call to virDomainUpdateDeviceFlags failed: internal error cannot change key

map setting on vnc graphics

 The same message is visible in the Libvirt host's logs:

2012-05-19 20:59:36.339+0000: 26184: error : qemuDomainChangeGraphics:1357 : internal error cannot

 change keymap setting on vnc graphics

 Using Ubuntu 12.04, Libvirt 0.9.8 and Foreman 0.5-nightly-ba71c565.

Related issues:

Related to Foreman - Bug #1739: Keymap is incorrect in VNC New 07/10/2012

Related to Foreman - Bug #19692: Opening a libvirt VM console fails with fog-... Closed 05/26/2017

Blocked by Foreman - Refactor #19579: require fog-libvirt 0.4.0 Closed 05/17/2017

Associated revisions

Revision 9b960ab6 - 08/27/2017 10:15 AM - Michael Moll 

Fixes #1644,#19692 - update fog-libvirt to 0.4.1

History

#1 - 10/31/2012 03:02 PM - Joshua Hoblitt

I suspect #1739 is either related to or a duplicate of this bug.

#2 - 11/13/2012 12:03 PM - Greg Sutcliffe

- Target version set to Bug scrub

#3 - 10/16/2013 04:04 PM - Greg Sutcliffe

- Target version deleted (Bug scrub)

#4 - 11/21/2016 04:21 AM - Tomer Brisker

- Description updated

- Category set to Compute resources - libvirt

This is a bug in fog-libvirt. Opened https://github.com/fog/fog-libvirt/pull/30 to fix it. Once fix is released we will need to make sure to update the

version we package.
#5 - 11/21/2016 04:21 AM - Tomer Brisker

- Status changed from New to Assigned

- Assignee set to Tomer Brisker

#6 - 05/17/2017 05:41 PM - Anonymous

- Blocked by Refactor #19579: require fog-libvirt 0.4.0 added

#7 - 05/26/2017 04:03 PM - Anonymous

- Related to Bug #19692: Opening a libvirt VM console fails with fog-libvirt 0.4.0 added

#8 - 08/05/2017 02:13 PM - Anonymous

- Assignee changed from Tomer Brisker to Anonymous

I think this still requires https://github.com/fog/fog-libvirt/pull/43 for the array vs. string fix.

#9 - 08/24/2017 10:08 AM - The Foreman Bot

- Status changed from Assigned to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/4784 added

#10 - 08/26/2017 12:20 PM - Anonymous

- translation missing: en.field_release set to 240

#11 - 08/27/2017 11:01 AM - Anonymous

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 9b960ab65719dddad390f2c56dc464070ee5df2c.
